Bug 150547 - Fix bsd.port.mk to allow for INSTALL_AS_USER when BINOWN et al are used
Fix bsd.port.mk to allow for INSTALL_AS_USER when BINOWN et al are used
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Dirk Meyer
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-14 02:00 UTC by gerald
Modified: 2011-02-12 19:10 UTC (History)
0 users

See Also:


Attachments
file.diff (718 bytes, patch)
2010-09-14 02:00 UTC, gerald
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description gerald 2010-09-14 02:00:03 UTC
	It turns out that some ports, notably graphics/png fail in
	the installation phase when INSTALL_AS_USER is used.  This
	is unfortunate, but at least in the case of graphics/png
	and presumably a number of others easy to fix generically.

Fix: Patch below.

	It might be interesting to see how two pointyhat runs that
	install as a user and INSTALL_AS_USER=1 turn out -- one prior
	to this patch, one with it.
How-To-Repeat: 	Install graphics/png as non-root with INSTALL_AS_USER=1.
Comment 1 Edwin Groothuis freebsd_committer 2010-09-14 02:00:22 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gerald

bsd.gcc.mk is gerald territory (via the GNATS Auto Assign Tool)
Comment 2 Gerald Pfeifer freebsd_committer 2010-09-14 02:02:40 UTC
Responsible Changed
From-To: gerald->portmgr

Typo in original Subject: bsd.gcc.mk should have been bsd.port.mk.
Comment 3 pav freebsd_committer 2010-09-14 09:20:46 UTC
State Changed
From-To: open->feedback

Looks like the problem this is trying to solve is localised to png port, that 
contains a makefile construct in files/* patches that unconditionally 
references BINOWN, instead of doing it the ports way of _BINOWNGRP. 

Thus I propose this is fixed by changing png port.
Comment 4 Gerald Pfeifer freebsd_committer 2011-01-01 19:46:15 UTC
State Changed
From-To: feedback->open

Dirk, as you can see after our conversation and your very helpful 
input I went ahead and suggested a general change to the FreeBSD 
ports infrastructure. 

portmgr suggested to handle this different by adjusting graphics/png 
accordingly.  Would you mind having a look into that? 

(If you feel the generic changes should go on, it would be great 
could you describe why and assign back to portmgr.) 


Comment 5 Gerald Pfeifer freebsd_committer 2011-01-01 19:46:15 UTC
Responsible Changed
From-To: portmgr->dinoex
Comment 6 dirk.meyer 2011-01-03 15:47:57 UTC
I will change graphics/png to use a different macro.

> (If you feel the generic changes should go on, it would be great
> could you describe why and assign back to portmgr.)

${BINOWN} and ${BINGRP} are still used in at least 114 ports Makefile.

Additional all ports using the bsd.prog.mk/bsd.lib.mk framework.

So everyone setting INSTALL_AS_USER need overwrite this values.

kind regards Dirk

- Dirk Meyer, Im Grund 4, 34317 Habichtswald, Germany
- [dirk.meyer@dinoex.sub.org],[dirk.meyer@guug.de],[dinoex@FreeBSD.org]
http://people.freebsd.org/~dinoex/errorlogs/
Comment 7 dfilter freebsd_committer 2011-01-04 06:16:05 UTC
dinoex      2011-01-04 06:15:59 UTC

  FreeBSD ports repository

  Modified files:
    graphics/png/files   patch-makefile.freebsd 
  Log:
  - simplify INSTALL_AS_USER by using the BSD_INSTALL_* macro
  PR:             150547
  
  Revision  Changes    Path
  1.3       +1 -1      ports/graphics/png/files/patch-makefile.freebsd
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Dirk Meyer freebsd_committer 2011-02-12 19:10:32 UTC
State Changed
From-To: open->closed

- no further action